Index: c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -1,2 +1,17 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* bootloader/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* irq/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* motorola/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* openpic/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* pci/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* residual/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* vectors/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -10,5 +10,5 @@
 VPATH = @srcdir@:@srcdir@/../../shared/bootloader:@srcdir@/../../shared/console
 
-noinst_PROGRAMS = bootloader.o
+noinst_PROGRAMS = bootloader.$(OBJEXT)
 
 ## IMPORTANT: head.S must be first, T. Straumann 12/17/2001
@@ -40,9 +40,9 @@
 # As we use very specific compilation options in this directory
 # we shall not use any other code. This includes the newlib libc.a
-# as well as other code located in .o files in mcp750 directory.
+# as well as other code located in .$(OBJEXT) files in mcp750 directory.
 #
 # NEVER remove lib.c. You have been warned...
 #
-bootloader.o: $(bootloader_o_OBJECTS)
+bootloader.$(OBJEXT): $(bootloader_o_OBJECTS)
 	$(LD) -r -o $@ $(bootloader_o_OBJECTS)
 	$(NM)  $@ | grep ' U '
@@ -50,5 +50,5 @@
 
 ppcbootdir = $(bsplibdir)
-ppcboot_DATA = bootloader.o
+ppcboot_DATA = bootloader.$(OBJEXT)
 ppcboot_DATA += ../../shared/bootloader/ppcboot.lds
 
@@ -60,5 +60,5 @@
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES = $(PROJECT_RELEASE)/lib/bootloader.o \
+TMPINSTALL_FILES = $(PROJECT_RELEASE)/lib/bootloader.$(OBJEXT) \
     $(PROJECT_RELEASE)/lib/ppcboot.lds
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/clock/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/clock/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -7,5 +7,5 @@
 
 C_FILES = p_clock.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/console/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/console/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -7,5 +7,5 @@
 
 C_FILES = polled_io.c uart.c console.c inch.c reboot.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 H_FILES = ../../shared/console/consoleIo.h ../../shared/console/keyboard.h \
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/irq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/irq/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/irq/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -7,5 +7,5 @@
 
 C_FILES = irq_init.c i8259.c irq.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 # FIXME: this does give any sense here
@@ -13,5 +13,5 @@
 
 S_FILES = irq_asm.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES) $(C_O_FILES)
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/motorola/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/motorola/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/motorola/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -7,5 +7,5 @@
 
 C_FILES = motorola.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 # FIXME: This doesn't give any sense here
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -10,5 +10,5 @@
 H_FILES = ../../shared/openpic/openpic.h
 
-OBJS = $(C_FILES:%.c=$(ARCH)/%.o)
+OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/pci/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/pci/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/pci/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -7,5 +7,5 @@
 
 C_FILES = pci.c detect_raven_bridge.c pcifinddevice.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 H_FILES = ../../shared/pci/pci.h
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/residual/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/residual/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/residual/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -7,5 +7,5 @@
 
 C_FILES = residual.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 H_FILES = ../../shared/residual/pnp.h ../../shared/residual/residual.h
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/start/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/start/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -6,5 +6,5 @@
 
 S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES)
@@ -18,14 +18,14 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(ARCH)/start.o
+.PRECIOUS: $(ARCH)/start.$(OBJEXT)
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/startup/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/startup/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -8,5 +8,5 @@
 C_FILES = bootcard.c main.c bspstart.c bsppost.c bsplibc.c sbrk.c bspclean.c \
     gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -7,10 +7,10 @@
 
 C_FILES = vectors_init.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 H_FILES = ../../shared/vectors/vectors.h
 
 S_FILES = vectors.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES) $(C_O_FILES)
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.am	(revision 730ad0c1d37edc027afc501226c923a551bdd4da)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.am	(revision dc17e8ed17eb3e47e8f6da12854691147d9732fe)
@@ -6,9 +6,9 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/*.o) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mpc6xx/*/$(ARCH)/*.o) \
+OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mpc6xx/*/$(ARCH)/*.$(OBJEXT)) \
     ../@exceptions@/$(ARCH)/rtems-cpu.rel \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/*/$(ARCH)/*.o)
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/*/$(ARCH)/*.$(OBJEXT))
 LIB = $(ARCH)/libbsp.a
 
